Subject: bug#12716: 23.1.50; "Error in process filter" when ls'ing w/ ansi-term

From: Glenn Morris <[email-masked]>
Date: Tue, 23 Oct 2012 19:26:51 -0400

"Patrick O'Neill" wrote:

> When typing 'ls' in ansi-term, output is garbled and I receive the
> following error message in the minibuffer:
>
> "Error in process filter: /home/ponei [sic] No such directory"
>
> NB: "/home/ponei" is a truncation of the full directory name, which is
> "/home/poneill".
[...]
> In GNU Emacs 23.1.50.1 (i486-pc-linux-gnu, GTK+ Version 2.18.0)
>  of 2009-09-27 on palmer, modified by Debian

This is a 3-year old development snapshot. There is no reason to keep
using this. Please update to the latest release, 24.2. If you still see
the problem, please followup here with a complete recipe starting from
emacs -Q that shows the problem. Thanks.